body {
  margin: 0;
  font-family: Roboto, -apple-system, BlinkMacSystemFont, Segoe UI, Helvetica,
    Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', Segoe UI Symbol;
  font-size: 1rem;
  font-weight: 400;

  display: flex;
  height: 100%;
  flex-direction: column;

  background-color: var(--md-sys-color-surface);
  color: var(--md-sys-color-on-surface);
}

.material-symbols-rounded {
  font-family: 'Material Symbols Rounded';
}

a {
  color: var(--md-sys-color-primary);
}

#wrapper {
  display: flex;
  flex-direction: column;
}

nav {
  order: -1;
}

main {
  margin: 0 20px;
}

#nav-items {
  position: fixed;
  bottom: calc(-2 * 51px);
  left: 0;
  right: 0;
  z-index: 1001;
  background-color: #ffffff;
  -webkit-box-shadow: 0px 0px 15px 0px rgb(0 0 0 / 10%);
  box-shadow: 0px 0px 15px 0px rgb(0 0 0 / 10%);
  transition-timing-function: ease;
  transition: 0.25s;
}

#menu-toggle {
  display: none;
}

#menu-toggle ~ label {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  height: 56px;
  background-color: #ffffff;
  -webkit-box-shadow: 0px 0px 15px 0px rgb(0 0 0 / 10%);
  box-shadow: 0px 0px 15px 0px rgb(0 0 0 / 10%);
  display: flex;
  align-items: center;
  padding-left: 20px;
}

#menu-toggle:checked ~ label::before {
  position: fixed;
  top: 0;
  left: 0;
  content: '';
  background-color: rgba(33, 33, 61, 0.5);
  width: 100vw;
  height: 100vh;
  transform-origin: 50% 50%;
  transform: scale(1.3);
  transition: all 250ms linear;
}

#menu-toggle:checked ~ #nav-items {
  bottom: 0;
  /*top: calc(100vh - 2 * 51px);*/
}

#nav-items > a {
  display: block;
  padding: 15px;
  text-decoration: none;
  color: inherit;
}

#nav-items > a:hover {
  background-color: #000;
  color: #ffffff;
}

@media screen and (min-width: 800px) {
  #wrapper {
    flex-direction: row;
    flex: 1;
  }
  
  #menu-toggle ~ label {
    display: none;
  }

  #nav-items {
    top: 0;
    right: auto;
    width: 250px;
  }

  nav {
    flex: 0 0 250px;
  }

  main {
    max-width: 960px;
    margin-left: 30px;
    flex: 1;
  }
}

article {
  background: var(--md-sys-color-surface-variant);
  border-radius: 12px;
  padding: 0px 16px;
  margin: 8px;
  overflow: hidden;
}